Compare two store snapshots
GET
/store-detail/{slug}/compare
Authentication
Bearer Token
Path Parameters
slug
string
required
path
Query Parameters
jobA
string
required
query
jobB
string
required
query
Responses
200
Diff between two snapshots
No response body
400
Missing jobA or jobB
401
Unauthorized
404
One or both jobs not found
curl -X GET 'https://shopsniffer.com/api/store-detail/string/compare?jobA=string&jobB=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://shopsniffer.com/api/store-detail/string/compare?jobA=string&jobB=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://shopsniffer.com/api/store-detail/string/compare?jobA=string&jobB=string', headers=headers)print(response.json())
API Playground
Try this endpoint
GET
/store-detail/{slug}/compare